
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Acked-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/drivers/random.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN arch/um/drivers/random.c~um-fix-up-schedule_timeout-usage arch/um/drivers/random.c
--- devel/arch/um/drivers/random.c~um-fix-up-schedule_timeout-usage	2005-09-11 02:06:28.000000000 -0700
+++ devel-akpm/arch/um/drivers/random.c	2005-09-11 02:06:28.000000000 -0700
@@ -58,10 +58,8 @@ static ssize_t rng_dev_read (struct file
                         if (filp->f_flags & O_NONBLOCK)
                                 return ret ? : -EAGAIN;
 
-                        if(need_resched()){
-                                current->state = TASK_INTERRUPTIBLE;
-                                schedule_timeout(1);
-                        }
+                        if(need_resched())
+                                schedule_timeout_interruptible(1);
                 }
                 else return n;
 		if (signal_pending (current))
_
